/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize.dialog;

import grandeszapatos.getsize.R;
import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class InputsexDialog extends Dialog implements OnClickListener {

	public interface OnChlickListener {
		void OnChlickPositive(Dialog var1);

		void OnClickNegative(Dialog var1);
	}

	private final InputsexDialog.OnChlickListener chlickListener;
	private Button male_btn;

	private Button female_btn;

	public InputsexDialog(Context var1, InputsexDialog.OnChlickListener var2) {
		super(var1);
		this.chlickListener = var2;
	}

	public void onClick(View var1) {

		switch (var1.getId()) {

		case R.id.dialog_male_btn:
			this.chlickListener.OnChlickPositive(this);
			break;
		case R.id.dialog_female_btn:
			this.chlickListener.OnClickNegative(this);
		default:
			break;
		}
	}

	@Override
	protected void onCreate(Bundle var1) {
		super.onCreate(var1);
		this.setContentView(R.layout.input_sex_dialog);

		this.male_btn = (Button) this.findViewById(R.id.dialog_male_btn);
		this.female_btn = (Button) this.findViewById(R.id.dialog_female_btn);
		this.male_btn.setOnClickListener(this);
		this.female_btn.setOnClickListener(this);
	}
}
