/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize.setting.ruler;

import android.content.Context;

public class RulerConfigManager {

	private static RulerConfig instance = null;

	public static RulerConfig get(Context ctx) {
		init(ctx);
		return instance;
	}

	private static void init(Context ctx) {
		synchronized (RulerConfigManager.class) {
		}

		try {
			if (instance == null) {
				instance = new RulerConfig(ctx,
						RulerConfig.class.getCanonicalName());
			}
		} finally {
			;
		}

	}
}
