/*******************************************************************************
 * Copyright (c) 2013 Javier Finez de Dios.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Public License v3.0
 * which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/gpl.html
 ******************************************************************************/
package grandeszapatos.getsize.setting;

public class SettingConst {

	public static class Axis {

		public static final int X = 0;
		public static final int Y = 1;

		public static String axisString(int i) {
			String str;
			switch (i) {
			case 0:
				str = "X";
				break;
			case 1:
				str = "Y";
				break;
			default:
				str = null;
			}

			return str;
		}
	}

	public static class Unit {

		public static final int CM = 0;
		public static final int INCH = 1;
		public static float INCH_COEFFICIENT = 2.54F;
		public static float MILI_COEFFICIENT = 0.1F;
		public static final int MM = 2;

		public static String unitString(int i) {
			String str;
			switch (i) {
			case 0:
				str = "cm";
				break;
			case 1:
				str = "inch";
				break;
			case 2:
				str = "mm";
				break;
			default:
				str = null;
			}

			return str;
		}
	}
}
